Summary: A library of functions for controlling audio CD-ROM players.
Name: libcdaudio
Version: 0.99.9
Release: 4
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.debian.org/debian/pool/main/libc/%{name}/%{name}_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The CD Database (CDDB) is currently managed by Escient, Inc.,
and libcdaudio is not licensed to use this database and most likely
never will be. If you want to specifically use CDDB data use the
FreeDB (http://www.freedb.org/), which works well with libcdaudio.
The CD Index (http://www.cdindex.org/) is a track information
management system. The Cover Art Index
(http://coverart.undergrid.net/) provides a method of locating cover
art for a particular CD based upon the disc's name or CD Index ID.

%package devel
Summary: Header files and static libraries for libcdaudio development.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libcdaudio is a CD player development library which includes a basic
command set for controlling the operation of the CD-ROM drive as well
as functions for accessing the CDDB, the CD Index, and the cover art
index. The libcdaudio-devel package provides the header files and
static libraries needed for libcdaudio development.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/libcdaudio.so*

%files devel
%defattr(-,root,root)
%{_bindir}/libcdaudio-config
%{_libdir}/libcdaudio.*a
%{_includedir}/cdaudio.h
%{_datadir}/aclocal/libcdaudio.m4
